package com.ruoyi.framework.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.framework.system.mapper.FollowUpRemindersMapper;
import com.ruoyi.framework.system.domain.FollowUpReminders;
import com.ruoyi.framework.system.service.IFollowUpRemindersService;

/**
 * 随访提醒Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-11-13
 */
@Service
public class FollowUpRemindersServiceImpl implements IFollowUpRemindersService 
{
    @Autowired
    private FollowUpRemindersMapper followUpRemindersMapper;

    /**
     * 查询随访提醒
     * 
     * @param ReminderID 随访提醒主键
     * @return 随访提醒
     */
    @Override
    public FollowUpReminders selectFollowUpRemindersByReminderID(Long ReminderID)
    {
        return followUpRemindersMapper.selectFollowUpRemindersByReminderID(ReminderID);
    }

    /**
     * 查询随访提醒列表
     * 
     * @param followUpReminders 随访提醒
     * @return 随访提醒
     */
    @Override
    public List<FollowUpReminders> selectFollowUpRemindersList(FollowUpReminders followUpReminders)
    {
        return followUpRemindersMapper.selectFollowUpRemindersList(followUpReminders);
    }

    /**
     * 新增随访提醒
     * 
     * @param followUpReminders 随访提醒
     * @return 结果
     */
    @Override
    public int insertFollowUpReminders(FollowUpReminders followUpReminders)
    {
        return followUpRemindersMapper.insertFollowUpReminders(followUpReminders);
    }

    /**
     * 修改随访提醒
     * 
     * @param followUpReminders 随访提醒
     * @return 结果
     */
    @Override
    public int updateFollowUpReminders(FollowUpReminders followUpReminders)
    {
        return followUpRemindersMapper.updateFollowUpReminders(followUpReminders);
    }

    /**
     * 批量删除随访提醒
     * 
     * @param ReminderIDs 需要删除的随访提醒主键
     * @return 结果
     */
    @Override
    public int deleteFollowUpRemindersByReminderIDs(Long[] ReminderIDs)
    {
        return followUpRemindersMapper.deleteFollowUpRemindersByReminderIDs(ReminderIDs);
    }

    /**
     * 删除随访提醒信息
     * 
     * @param ReminderID 随访提醒主键
     * @return 结果
     */
    @Override
    public int deleteFollowUpRemindersByReminderID(Long ReminderID)
    {
        return followUpRemindersMapper.deleteFollowUpRemindersByReminderID(ReminderID);
    }
}
